<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoading()">
    <div class="container">
        <p class="h3 text-center mt-5">Order Detail!!!</p>
        <div class="row form-group">
            <div class="col-2 text-right">
                <label for="">Order Code</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-ordercode">
            </div>

            <div class="col-2 text-right">
                <label for="">Cỡ Combo</label>
            </div>
            <div class="col-4">
                <select name="" id="select-size" class="form-control">
                    <option value="NOT_SELECT_COMBO">Chọn cỡ combo(combo size)</option>
                    <option value="S">Nhỏ</option>
                    <option value="M">Vừa</option>
                    <option value="L">Lớn</option>
                </select>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-2 text-right">
                <label for="">Đường kính Pizza</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-duong-kinh">
            </div>

            <div class="col-2 text-right">
                <label for="">Sườn nướng</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-suon-nuong">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-2 text-right">
                <label for="">Đồ uống</label>
            </div>
            <div class="col-4">
                <select name="" id="select-drink">
                    <option value="NOT_SELECT_DRINK">Chọn đồ uống</option>
                </select>
            </div>

            <div class="col-2 text-right">
                <label for="">Số lượng nước uống</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-number">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-2 text-right">
                <label for="">Voucher ID</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-voucherid">
            </div>

            <div class="col-2 text-right">
                <label for="">Loại Pizza</label>
            </div>
            <div class="col-4">
                <select name="" id="select-pizza" class="form-control">
                    <option value="NOT_SELECT_PIZZA">Chọn loại Pizza</option>
                    <option value="Seafood">Hải sản</option>
                    <option value="Hawaii">Ha wai</option>
                    <option value="Bacon">Thịt xông khói</option>
                </select>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-2 text-right">
                <label for="">Salad</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-salad">
            </div>

            <div class="col-2 text-right">
                <label for="">Thành tiền</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-eprices">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-2 text-right">
                <label for="">Giảm giá</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-giam-gia">
            </div>

            <div class="col-2 text-right">
                <label for="">Họ và tên</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-efullname">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-2 text-right">
                <label for="">Email</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-email">
            </div>

            <div class="col-2 text-right">
                <label for="">Số điện thoại</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-phone-number">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-2 text-right">
                <label for="">Địa chỉ</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-dia-chi">
            </div>
            <div class="col-2 text-right">
                <label for="">Lời nhăn</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-message">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-2 text-right">
                <label for="">Trạng thái đơn hàng</label>
            </div>
            <div class="col-4">
                <select name="" id="select-status" class="form-control">
                    <option value="NOT_SELECT_STATUS">Trạng thái</option>
                    <option value="open">Open</option>
                    <option value="confirmed">Confirm</option>
                    <option value="cancel">Cancel</option>
                </select>
            </div>
            <div class="col-2 text-right">
                <label for="">Ngày tạo đơn</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-creat-order">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-2 text-right">
                <label for="">Ngày cập nhật</label>
            </div>
            <div class="col-4">
                <input type="text" class="form-control" id="inp-update">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-2 text-right">

            </div>
            <div class="col-4">
                <button class="btn btn-group btn-success" id="btn-confirm">Confirm</button>
                <button class="btn btn-group btn-info" id="btn-cancel">Cancel</button>
            </div>
        </div>
    </div>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gID;
    var gORDER_CODE;
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */


    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // Hàm thực hiện khi load trang
    function onPageLoading() {
        var vUrlString = window.location.href;
        console.log(vUrlString);
        var vUrl = new URL(vUrlString);
        gID = vUrl.searchParams.get("id");
        gORDER_CODE = vUrl.searchParams.get("ordercode")
        //kiểm tra dữ liệu
        const vIndexListView = "indexListView.html"
        if (gID == null || gID == "") {
            alert("không có id của đơn hàng");
            window.location.href = vIndexListView;
        }
        else if (gORDER_CODE == null || gORDER_CODE == "") {
            alert("không có orderCode");
            window.location.href = vIndexListView;
        }
        console.log(gID);
        console.log(gORDER_CODE);
        loadDataDrinkList();
        //gọi api lấy thông tin đơn hàng 
        var vXmlHttpOrder = new XMLHttpRequest();
        goiApiLayThongTin(vXmlHttpOrder, gORDER_CODE)
        vXmlHttpOrder.onreadystatechange = function () {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                showOderInfo(vXmlHttpOrder);

            }
        }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function goiApiLayThongTin(paramXMLHttpOrder, paramOrderCode) {
        const vBaseUrl = "http://203.171.20.210:8080/devcamp-pizza365/orders";
        paramXMLHttpOrder.open("GET", vBaseUrl + "/" + paramOrderCode, true);
        paramXMLHttpOrder.send();
    }
    function showOderInfo(paramOrder) {
        console.log(paramOrder.responseText);
        var vJsonDrinkObj = JSON.parse(paramOrder.responseText);
        var vInpOderCode = document.getElementById("inp-ordercode");
        var vSelCombo = document.getElementById("select-size");
        var vInpDuongKinh = document.getElementById("inp-duong-kinh");
        var vInpSuonNuong = document.getElementById("inp-suon-nuong");
        var vSelDrink = document.getElementById("select-drink");
        var vInpSoLuongNuoc = document.getElementById("inp-number");
        var vInpVoucher = document.getElementById("inp-voucherid");
        var vSelPizza = document.getElementById("select-pizza");
        var vInpSalad = document.getElementById("inp-salad");
        var vInpEprices = document.getElementById("inp-eprices");
        var vInpGiamGia = document.getElementById("inp-giam-gia");
        var vInpFullname = document.getElementById("inp-efullname");
        var vInpEmail = document.getElementById("inp-email");
        var vInpSoDienThoai = document.getElementById("inp-phone-number");
        var vInpDiaChi = document.getElementById("inp-dia-chi");
        var vInpLoiNhan = document.getElementById("inp-message");
        var vSelTrangThai = document.getElementById("select-status");
        var vInpNgayTao = document.getElementById("inp-creat-order");
        var vInpUpdate = document.getElementById("inp-update");
        vInpOderCode.value = vJsonDrinkObj.orderCode;
        vSelCombo.value = vJsonDrinkObj.kichCo;
        vInpDuongKinh.value = vJsonDrinkObj.duongKinh;
        vInpSuonNuong.value = vJsonDrinkObj.suon;
        vSelDrink.value = vJsonDrinkObj.idLoaiNuocUong;
        vInpSoLuongNuoc.value = vJsonDrinkObj.soLuongNuoc;
        vInpVoucher.value = vJsonDrinkObj.idVourcher;
        vSelPizza.value = vJsonDrinkObj.loaiPizza;
        vInpSalad.value = vJsonDrinkObj.salad;
        vInpEprices.value = vJsonDrinkObj.thanhTien;
        vInpGiamGia.value = vJsonDrinkObj.giamGia;
        vInpFullname.value = vJsonDrinkObj.hoTen;
        vInpEmail.value = vJsonDrinkObj.email;
        vInpSoDienThoai.value = vJsonDrinkObj.soDienThoai;
        vInpDiaChi.value = vJsonDrinkObj.diaChi;
        vInpLoiNhan.value = vJsonDrinkObj.loiNhan;
        vSelTrangThai.value = vJsonDrinkObj.trangThai;
        vInpNgayTao.value = vJsonDrinkObj.ngayTao;
        vInpUpdate.value = vJsonDrinkObj.ngayCapNhat;
    }
    function loadDataDrinkList() {
        var vXmlHttp = new XMLHttpRequest();
        const vDrinkListUrl = "http://203.171.20.210:8080/devcamp-pizza365/drinks"
        vXmlHttp.open("GET", vDrinkListUrl, true);
        vXmlHttp.send();
        vXmlHttp.onreadystatechange = function () {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                loadDataToSelectDrink(vXmlHttp);

            }
        }
    }
    function loadDataToSelectDrink(paramXmlHttp) {
        var vJsonDrinkObj = JSON.parse(paramXmlHttp.responseText);
        var vSelectElement = document.getElementById("select-drink");
        console.log(vJsonDrinkObj);
        for (var bI = 0; bI < vJsonDrinkObj.length; bI++) {
            var bOptionSelect = document.createElement("option");
            bOptionSelect.value = vJsonDrinkObj[bI].maNuocUong;
            bOptionSelect.text = vJsonDrinkObj[bI].tenNuocUong;
            vSelectElement.appendChild(bOptionSelect);
        }
    }
</script>

</html>